diff --git a/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java b/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
index 2b773f974..e261188f4 100644
--- a/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
+++ b/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
@@ -18,6 +18,7 @@ import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.IChunkLoader;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
 import net.minecraft.core.world.pos.ChunkPos;
+import net.minecraft.core.world.pos.ChunkTilePos;
 import net.minecraft.core.world.pos.TilePos;
 import net.minecraft.core.world.save.LevelStorage;
 import net.minecraft.core.world.save.SaveFormatBase;
@@ -518,7 +519,7 @@ public class BiomeFinder implements MinecraftAccessor {
 		for(int i=0; i < biomeImage.getWidth(); i++) {
 			for(int j=0; j < biomeImage.getHeight(); j++) {
 				final @NotNull TilePos tilePos = new TilePos(offsetX + i * renderScale, posY, offsetZ + j * renderScale);
-				final @NotNull ChunkPos tileChunkPos = tilePos.toChunkPos();
+				final @NotNull ChunkPos tileChunkPos = new ChunkPos(tilePos);
 
 				Biome biome = null;
 				if (world != null && world.getChunkProvider() instanceof ChunkProviderDynamic){
@@ -528,7 +529,7 @@ public class BiomeFinder implements MinecraftAccessor {
 							chunk = ((ChunkProviderDynamic) world.getChunkProvider()).getChunkLoader().loadChunk(world, lastChunk.x, lastChunk.z);
 						}
 						if (chunk != null){
-							biome = chunk.getBlockBiome(tilePos.toChunkTilePos());
+							biome = chunk.getBlockBiome(new ChunkTilePos(tilePos));
 						}
                     } catch (Exception e){
 						chunk = null;
diff --git a/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java b/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java
index 9123e41e6..18eb91e5d 100644
--- a/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java
+++ b/game/client/src/main/java/net/betterthanadventure/utils/DataDumper.java
@@ -164,10 +164,10 @@ public class DataDumper implements MinecraftAccessor {
 
         builder.append(s).append("\",");
 
-        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.monster))).append("\",");
-        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.creature))).append("\",");
-        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.waterCreature))).append("\",");
-        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.ambientCreature))).append("\"");
+        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.MONSTER))).append("\",");
+        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.CREATURE))).append("\",");
+        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.WATER_CREATURE))).append("\",");
+        builder.append("\"").append(spawnableListString(biome.getSpawnableList(MobCategory.AMBIENT))).append("\"");
         builder.append("\n");
 
         return builder.toString();
